Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class MissingResourceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.util.MissingResourceException

All Implemented Interfaces:
  Serializable

public class MissingResourceException
extends RuntimeException

Signals that a resource is missing.

Since:
  JDK1.1
See Also:
  `Exception`, `ResourceBundle`, Serialized Form

Constructor Summary
`MissingResourceException(String s, String className, String key)` Constructs a MissingResourceException with the specified information.

Method Summary
`String` | `getClassName()` Gets parameter passed by constructor.
`String` | `getKey()` Gets parameter passed by constructor.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingResourceException

    public MissingResourceException(String s,
                                    String className,
                                    String key)

  Constructs a MissingResourceException with the specified information. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the detail message
  `className` - the name of the resource class
  `key` - the key for the missing resource.

Method Detail

### getClassName

    public String getClassName()

  Gets parameter passed by constructor.

  Returns:
    the name of the resource class

### getKey

    public String getKey()

  Gets parameter passed by constructor.

  Returns:
    the key for the missing resource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.